Subject: Re: bug#8149: 23.2; Docs: "in a separate process"

From: Glenn Morris <[email-masked]>
Date: Tue, 01 Mar 2011 21:58:32 -0500

Dave Abrahams wrote:

> Now, either that is obvious, since when you create a process it is of
> course a separate process from Emacs, or it means something that I can't
> guess at.  It's confusing because shell-command-to-string conspicuously
> leaves out the words "in a separate process," leading me to wonder if
> it's doing something fundamentally difference and to think maybe I can't
> really replace invocations of shell-command-to-string with
> (appropriately reformulated) invocations of call-process-shell-command,
> as I plan to.

I'm not sure there is any special significance to the "separate process"
thing, it might just be a turn of phrase that was copied from some
original description as more of these call-process etc functions were
added.

If you look at how shell-command-to-string and
call-process-shell-command are actually implemented, both use
`call-process', just in different ways.